<?php

declare(strict_types=1);

namespace Dedi\SyliusCmsPlugin\Form\Type\ProductAutoRule;

use Sylius\Bundle\TaxonomyBundle\Form\Type\TaxonAutocompleteChoiceType;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;

class LatestByTaxonRuleConfigurationType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $builder
            ->add('taxon', TaxonAutocompleteChoiceType::class, [
                'choice_value' => 'id',
            ]);
        $builder
            ->get('taxon')
            ->resetModelTransformers();
    }
}
